/*******************************************************************************

  PSPoste - Wireless Email Client for the Sony PSP
  Copyright (C) T Swann, 71M, Benjamin Biron, Sajeeth Cherian, David Cummings

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA

  Module :	CAssert.cpp

  Description :	

  Last Modified $Date: 2006/11/26 22:11:34 $

  $Revision: 1.4 $

*******************************************************************************/

//******************************************************************************
//   Include Files
//******************************************************************************
#include "CAssert.h"
#include "CInput.h"
#include "CGfx.h"
#include "CFrameWork.h"

extern bool s_ExitCallbackCalled;

//******************************************************************************
//   Local Macros
//******************************************************************************

//******************************************************************************
//   Local Constants
//******************************************************************************

//******************************************************************************
//   Static Prototypes
//******************************************************************************

//******************************************************************************
//   Global Variables
//******************************************************************************

//******************************************************************************
//   Static Variables
//******************************************************************************

//******************************************************************************
//   Class Definition
//******************************************************************************

//******************************************************************************
//	
//******************************************************************************
void	CAssert::Message( const char * fmt, ... )
{
	bool	quit( false );

	pspDebugScreenPrintf( fmt );
	pspDebugScreenPrintf( "\nPress TRIANGLE to continue\n" );

	while ( quit == false )
	{
		CInput::Process();

		if ( CInput::IsButtonClicked( CInput::TRIANGLE ) || s_ExitCallbackCalled )
		{
			quit = true;
		}

		CGfx::SwapBuffers();
	}
}

//*******************************  END OF FILE  ********************************
