/*******************************************************************************

  PSPoste - Wireless Email Client for the Sony PSP
  Copyright (C) Benjamin Biron, Sajeeth Cherian, David Cummings

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA

  Module :	CAssert.h

  Description :	

  Last Modified $Date: 2006/10/09 16:55:45 $

  $Revision: 1.1 $

*******************************************************************************/

#ifndef CASSERT_H_
#define CASSERT_H_

//******************************************************************************
//   Include Files
//******************************************************************************

//******************************************************************************
//   Macros
//******************************************************************************
#ifndef	_DEBUG

#define	ASSERT( cond, msg )
#define	BREAK_POINT( msg )

#else	// #ifdef	_DEBUG

#define	ASSERT( cond, msg )		if ( ( cond ) == false )	{ CAssert::Message( "ASSERT: %s, %s - line: %d file: %s", #cond, msg, __LINE__, __FILE__ ); }
#define	BREAK_POINT				CAssert::Message

#define GET_LINE()				__LINE__

#endif	// #ifdef	_DEBUG

//******************************************************************************
//   Types
//******************************************************************************

//******************************************************************************
//   Constants
//******************************************************************************

//******************************************************************************
//   Class definitions
//******************************************************************************
class CAssert
{
	public:

		// Displays an assert message
		static void		Message( const char * fmt, ... );

		// Displays a graphical assert message
		static void		GraphicalMessage( const char * fmt, ... );
};

//******************************************************************************
//   Externs
//******************************************************************************

//******************************************************************************
//   Prototypes
//******************************************************************************

#endif /* CASSERT_H_ */
