/*******************************************************************************

  PSPoste - Wireless Email Client for the Sony PSP
  Copyright (C) Benjamin Biron, Sajeeth Cherian, David Cummings

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA

  Module :	CBenTestWindow.h

  Description :	

  Last Modified $Date: 2006/10/09 16:55:46 $

  $Revision: 1.1 $

*******************************************************************************/

#ifndef CBenTestWindow_H_
#define CBenTestWindow_H_

//******************************************************************************
//   Include Files
//******************************************************************************
#include "CTypes.h"
#include "CWindow.h"
#include "CFileSystem.h"
#include "CString.h"
#include "CGfx.h"
#include "CMailbox.h"
#include <vector>

//******************************************************************************
//   Macros
//******************************************************************************

//******************************************************************************
//   Types
//******************************************************************************
typedef enum _EBenTest
{
	EBenTest_None,
	EBenTest_ConnMan
} EBenTest;

//******************************************************************************
//   Constants
//******************************************************************************

//******************************************************************************
//   Class definitions
//******************************************************************************
class CBenTestWindow : public CWindow
{

	public:

		CBenTestWindow();
		~CBenTestWindow();

		virtual void			Render();
		virtual void			Process();
		virtual bool			ProcessInput();
		
	private:
	
		void resetTest();
		void connManTest();
		
	private:
		
		EBenTest m_activeTest;
		CString m_output1;
		CString m_output2;
		CString m_monitor1;
		CString m_monitor2;
		bool m_waitForInput;
		int m_testIdx;
		int m_subTestIdx;
		int m_delay;

};

//******************************************************************************
//   Externs
//******************************************************************************

//******************************************************************************
//   Prototypes
//******************************************************************************

#endif /* CBenTestWindow_H_ */
