/*******************************************************************************

  PSPoste - Wireless Email Client for the Sony PSP
  Copyright (C) Benjamin Biron

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA

  Module :	CCertRequest.h

  Description :	

*******************************************************************************/
#include "CCertRequest.h"
#include "CCertComm.h"
#include "CLog.h"

CCertRequest::CCertRequest(SceUID aReplyMbx, VX509CertificateRef aCert) :
	m_replyMbx(aReplyMbx),
	m_cert(aCert)
{
}

CCertRequest::~CCertRequest()
{
}

void CCertRequest::accept(vmime::ref<CCertificateManager> aCertManager)
{
	SCertMsg* certMsg = CCertComm::createCertReplyMsg(true);
	aCertManager->addPermCert(m_cert);
	if (int err = sceKernelSendMbx(m_replyMbx, certMsg))
		CLog::Error("Cert reply error: failed to send message to mbx: 0x%x\n", err);
}

void CCertRequest::acceptForSession(vmime::ref<CCertificateManager> aCertManager)
{
	SCertMsg* certMsg = CCertComm::createCertReplyMsg(true);
	aCertManager->addTempCert(m_cert);
	if (int err = sceKernelSendMbx(m_replyMbx, certMsg))
		CLog::Error("Cert reply error: failed to send message to mbx: 0x%x\n", err);
}

void CCertRequest::decline()
{
	SCertMsg* certMsg = CCertComm::createCertReplyMsg(false);
	if (int err = sceKernelSendMbx(m_replyMbx, certMsg))
		CLog::Error("Cert reply error: failed to send message to mbx: 0x%x\n", err);
}
