#ifndef CCERTIFICATESTORE_H_
#define CCERTIFICATESTORE_H_

#include "CString.h"
#include "VMimeTypes.h"
#include <vmime/platforms/psp/pspFile.hpp>

class CCertificateStore
{
	public: /* Constructors & destructors */
	
		CCertificateStore(CString aPath);
		virtual ~CCertificateStore();
		
	public: /* New methods */
	
		virtual bool storeCert(VX509CertificateRef aCert);
		virtual VX509CertificateRefList getCertList();
		
	protected: /* New methods */
	
		/* Reads the cert list from the path */
		virtual void importCertList();
		virtual void importCert(vmime::ref<vmime::utility::file> aFileRef);
		
	protected: /* Data */
	
		VX509CertificateRefList m_certList;
		CString m_path;
};

#endif /*CCERTIFICATESTORE_H_*/
