#include "CCertificateStoreMemstick.h"
#include "CFileSystem.h"
#include "CLog.h"
#include <vmime/platforms/psp/pspFile.hpp>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <time.h>

CCertificateStoreMemstick::CCertificateStoreMemstick(CString aPath) :
	CCertificateStore(aPath)
{
	importCertList();
}

CCertificateStoreMemstick::~CCertificateStoreMemstick()
{
}

bool CCertificateStoreMemstick::storeCert(VX509CertificateRef aCert)
{
	time_t tm = time(NULL);
	CString certPath;
	
	do {
		certPath.Printf("%s/%d.cer", m_path.GetPtr(), tm++);
		certPath = CFileSystem::MakeFullPath(certPath);
	} while (CFileSystem::FileExists(certPath));

	vmime::utility::path certVmimePath(certPath.GetStr());
	int certFile = open(certPath.GetPtr(), O_CREAT | O_WRONLY, 0777);
	
	if (certFile & 0x80000000)
	{
		CLog::Error("Error storing certificate [%s]: 0x%x\n", certPath.GetPtr(), certFile);
		return false;
	}
	
	vmime::platforms::psp::pspFileWriterOutputStream outStream(certPath, certVmimePath, certFile);
	aCert->write(outStream, VX509Certificate::FORMAT_PEM);
	return CCertificateStore::storeCert(aCert);
}
