/*******************************************************************************

  PSPoste - Wireless Email Client for the Sony PSP
  Copyright (C) Benjamin Biron, Sajeeth Cherian, David Cummings

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA

  Module :	CControlButton.h

  Description :	

  Last Modified $Date: 2007/01/27 18:05:50 $

  $Revision: 1.3 $

*******************************************************************************/

#ifndef CControlBUTTON_H_
#define CControlBUTTON_H_

//******************************************************************************
//   Include Files
//******************************************************************************
#include "CTypes.h"
#include "CWindow.h"
#include "CControl.h"
#include "CGfx.h"
#include "CString.h"

//******************************************************************************
//   Macros
//******************************************************************************

//******************************************************************************
//   Types
//******************************************************************************

//******************************************************************************
//   Constants
//******************************************************************************

//******************************************************************************
//   Class definitions
//******************************************************************************
class CControlButton : public CControl
{

	public:

		CControlButton(V2 const size, V2 const position, CString text);

		virtual ~CControlButton();
		
		virtual void RenderControl();
		virtual void ProcessControlInput();
		virtual void ProcessControl();
		virtual void activate();
		void setText(CString text);
		bool isClicked();
		bool getClicked();
	

	private:

		V2		 	m_size;
		V2			m_position;
		CString		m_text;
		bool		m_clicked;	
};


//******************************************************************************
//   Externs
//******************************************************************************

//******************************************************************************
//   Prototypes
//******************************************************************************

#endif /* CControlTextBox_H_ */
