/*******************************************************************************

  PSPoste - Wireless Email Client for the Sony PSP
  Copyright (C) Benjamin Biron, Sajeeth Cherian, David Cummings

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA

  Module :	CControlGroupBox.h

  Description :	

  Last Modified $Date: 2007/01/20 23:20:04 $

  $Revision: 1.2 $

*******************************************************************************/

#ifndef CControlGroupBox_H_
#define CControlGroupBox_H_

//******************************************************************************
//   Include Files
//******************************************************************************
#include "CTypes.h"
#include "CWindow.h"
#include "CControl.h"
#include "CGfx.h"
#include "CString.h"
#include "CControlLabel.h"

//******************************************************************************
//   Macros
//******************************************************************************

//******************************************************************************
//   Types
//******************************************************************************

//******************************************************************************
//   Constants
//******************************************************************************

//******************************************************************************
//   Class definitions
//******************************************************************************
class CControlGroupBox : public CControl, public MControlSelectionListener
{

	public:
		CControlGroupBox(V2 const size, V2 const position, CString text, int seperator = 0);
		
		virtual ~CControlGroupBox();
		
		virtual void RenderControl();
		virtual void ProcessControlInput();
		virtual void ProcessControl();	
		
	public: // Inherited from MControlSelectionListener
		void selectionEvent(CControl* control);
		void deselectionEvent(CControl* control);
		
	private:
		V2 m_position;
		V2 m_size;
		CString m_text;
		bool m_selected;
		int m_seperator;

};


//******************************************************************************
//   Externs
//******************************************************************************

//******************************************************************************
//   Prototypes
//******************************************************************************

#endif /* CControlGroupBox_H_ */

