/*******************************************************************************

  PSPoste - Wireless Email Client for the Sony PSP
  Copyright (C) Benjamin Biron, Sajeeth Cherian, David Cummings

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA

  Module :	CControlManager.h

  Description :	

  Last Modified $Date: 2007/01/27 18:42:53 $

  $Revision: 1.4 $

*******************************************************************************/

#ifndef CControlManager_H_
#define CControlManager_H_

//******************************************************************************
//   Include Files
//******************************************************************************
#include "CTypes.h"
#include "CControl.h"
#include "CString.h"

//******************************************************************************
//   Macros
//******************************************************************************

//******************************************************************************
//   Types
//******************************************************************************

//******************************************************************************
//   Constants
//******************************************************************************

//******************************************************************************
//   Class definitions
//******************************************************************************
class CControlManager
{
	public:
		typedef std::vector<CControl*> CControlList;

	public:
		CControlManager();
		~CControlManager();
		
		void RenderControl();
		void ProcessControl();
		bool ProcessControlInput();

		void addControl(CControl* control);
		void selectControl(CControl* control);
		void enableControl(CControl* control);
		void disableControl(CControl* control);
		bool hasActive();
		
		bool ownsControl(CControl* control);

	private:
		CControlList* m_pControlList;
		CControl* m_pSelectedControl;

};


//******************************************************************************
class CControlManagerItem
{
	public:
		CControlManagerItem(CString text, int value) {
			m_text = text;
			m_value = value;
		}

	public:
		CString		m_text;
		u32			m_value;
};



//******************************************************************************
//   Externs
//******************************************************************************

//******************************************************************************
//   Prototypes
//******************************************************************************

#endif /* CControlManager_H_ */
