/*******************************************************************************

  PSPoste - Wireless Email Client for the Sony PSP
  Copyright (C) Benjamin Biron, Sajeeth Cherian, David Cummings

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA

  Module :	CControlMsgBox.h

  Description :	

  Last Modified $Date: 2006/12/01 23:40:42 $

  $Revision: 1.4 $

*******************************************************************************/

#ifndef CCONTROLMSGBOX_H_
#define CCONTROLMSGBOX_H_

//******************************************************************************
//   Include Files
//******************************************************************************
#include "CTypes.h"
#include "CWindow.h"
#include "CControl.h"
#include "CGfx.h"
#include "CString.h"
#include <CText.h>

//******************************************************************************
//   Macros
//******************************************************************************

//******************************************************************************
//   Types
//******************************************************************************

//******************************************************************************
//   Constants
//******************************************************************************

//******************************************************************************
//   Class definitions
//******************************************************************************
class CScrollableText;

class CControlMsgBox : public CControl
{

	public:

		CControlMsgBox(V2 const size, V2 const position, CText* text = new CText(""));

		virtual ~CControlMsgBox();
		
		virtual void RenderControl();
		virtual void ProcessControlInput();
		virtual void ProcessControl();
		virtual void activate();
		virtual void deActivate();
		CText* getText();
		void setText(CText* text);
		
		/* Will dump CTextLineBuffer info to the psp_trace file and will write CText debug info to the aSnapshotFile */
		void dumpDebug(const char* aSnapshotFile);

	private:

		V2 m_size;
		V2 m_position; // relative to top left corner
		CText* m_text;
		CScrollableText* m_scrollText;
		u64 m_next_toggle;
		bool m_show_cursor;

};


//******************************************************************************
//   Externs
//******************************************************************************

//******************************************************************************
//   Prototypes
//******************************************************************************

#endif /* CCONTROLMSGBOX_H_ */
