#include "CDialogCertRequest.h"
#include "CCertRequest.h"

CDialogCertRequest::CDialogCertRequest(CCertRequest* aCertRequest) :
	CDialogModal(300, V2(-1, -1), getCertDialogText(aCertRequest->getCert()), DIALOG_CONFIG_ACCEPT_DECLINE),
	m_certRequest(aCertRequest)
{
}

CDialogCertRequest::~CDialogCertRequest()
{
	SAFE_DELETE(m_certRequest);
}

CString CDialogCertRequest::getCertDialogText(VX509CertificateRef aCertRef)
{
	CString text = "Do you want to accept the following certificate?\n\n";
	text += "Certificate for: ";
	text += aCertRef->getCommonName();
	text += "\n";
	
	text += "Organization: ";
	text += aCertRef->getOrganization();
	text += "\n";
	
	text += "Country: ";
	text += aCertRef->getCountry();
	text += "\n";
	
	text += "State/Province: ";
	text += aCertRef->getProvince();
	text += "\n";
	
	text += "Locality: ";
	text += aCertRef->getLocality();
	text += "\n";
	
	return text;
}
