/*******************************************************************************

  PSPoste - Wireless Email Client for the Sony PSP
  Copyright (C) T Swann, Benjamin Biron, Sajeeth Cherian, David Cummings

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA

  Module :	CWindow.h

  Description :	

  Last Modified $Date: 2006/10/09 16:55:46 $

  $Revision: 1.1 $

*******************************************************************************/

#ifndef CWINDOW_H_
#define CWINDOW_H_

//******************************************************************************
//   Include Files
//******************************************************************************
#include "CTypes.h"
#include "CString.h"
#include "CProcess.h"

//******************************************************************************
//   Macros
//******************************************************************************

//******************************************************************************
//   Types
//******************************************************************************

//******************************************************************************
//   Constants
//******************************************************************************

//******************************************************************************
//   Class definitions
//******************************************************************************

//******************************************************************************
//	
//******************************************************************************
class CWindow : public CProcess
{
	public:

		static void		Open();
		static void		Close();
		static void		RenderAll();

		enum eWindow
		{
			WINDOW_MAIN,
			WINDOW_COMPOSE,
			WINDOW_MESSAGES,
			WINDOW_CONTACTS,
			WINDOW_SETTINGS,
			WINDOW_GAME,
			WINDOW_EXIT,
#ifndef RELEASE
			WINDOW_BEN_TEST,
#endif


			MAX_DRIVES
		};

	public:

		CWindow();

		virtual void	Render();
		virtual void	Process();
		virtual bool	ProcessInput();

		bool			HasFocus() const;
		void			SetFocus( bool focus );

		bool			IsVisible() const;
		void			SetVisible( bool visible );

	protected:

		virtual ~CWindow();

	protected:
		bool			m_bInFocus;
		bool			m_bVisible;
};

//******************************************************************************
//   Externs
//******************************************************************************

//******************************************************************************
//   Prototypes
//******************************************************************************

#endif /* CWINDOW_H_ */
