/*******************************************************************************

  PSPoste - Wireless Email Client for the Sony PSP
  Copyright (C) T Swann, Benjamin Biron, Sajeeth Cherian, David Cummings

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA

  Module :	VMimeTypes.h

  Description :	

*******************************************************************************/

#ifndef VMIMETYPES_H_
#define VMIMETYPES_H_

#include <vmime/vmime.hpp>
#include <vmime/net/maildir/maildirStore.hpp>
#include <vmime/net/maildir/maildirFolder.hpp>
#include <vmime/net/maildir/maildirMessage.hpp>
#include <vmime/net/pop3/POP3Store.hpp>
#include <vmime/net/pop3/POP3Folder.hpp>
#include <vmime/net/folder.hpp>

#define V_EXCEPT(e) CLog::Error("VMime Exception [%s] @ [%s - %d]: %s\n", e.name(), __FILE__, __LINE__, e.what())
#define S_EXCEPT(e) CLog::Error("STD Exception @ [%s - %d]: %s\n", __FILE__, __LINE__, e.what())

typedef vmime::net::message VMessage;
typedef vmime::ref<VMessage> VMessageRef;
typedef std::vector<VMessageRef> VMessageRefList;
typedef vmime::datetime VDate;
typedef vmime::net::session VSession;
typedef vmime::ref<VSession> VSessionRef;
typedef vmime::utility::url VUrl;
typedef vmime::net::store VStore;
typedef vmime::ref<VStore> VStoreRef;
typedef vmime::net::folder VFolder;
typedef vmime::ref<VFolder> VFolderRef;
typedef vmime::net::structure VStructure;
typedef vmime::ref<VStructure> VStructureRef;
typedef vmime::net::part VPart;
typedef vmime::ref<VPart> VPartRef;
typedef vmime::security::cert::certificateChain VCertificateChain;
typedef vmime::ref<VCertificateChain> VCertificateChainRef;
typedef vmime::security::cert::certificate VCertificate;
typedef vmime::ref<VCertificate> VCertificateRef;
typedef vmime::security::cert::X509Certificate VX509Certificate;
typedef vmime::ref<VX509Certificate> VX509CertificateRef;
typedef std::vector<VX509CertificateRef> VX509CertificateRefList;

/*
typedef vmime::net::maildir::maildirStore   VMaildirStore;
typedef vmime::ref<VMaildirStore>           VMaildirStoreRef;
typedef vmime::net::maildir::maildirFolder  VMaildirFolder;
typedef vmime::ref<VMaildirFolder>          VMaildirFolderRef;

typedef vmime::net::pop3::POP3Store         VPOP3Store;
typedef vmime::ref<VPOP3Store>              VPOP3StoreRef;
typedef vmime::net::pop3::POP3Folder        VPOP3Folder;
typedef vmime::ref<VPOP3Folder>             VPOP3FolderRef;
*/

#define V_MODE_READ_ONLY vmime::net::folder::MODE_READ_ONLY
#define V_MODE_READ_WRITE vmime::net::folder::MODE_READ_WRITE

#endif /*VMIMETYPES_H_*/
