/*******************************************************************************

  PSPoste - Wireless Email Client for the Sony PSP
  Copyright (C) Benjamin Biron

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA

  Module :	CKeyboardGUIAnalog1.cpp

  Description :	

  Last Modified $Date: 2006/11/18 06:46:45 $

  $Revision: 1.1 $

*******************************************************************************/

//******************************************************************************
//   Include Files
//******************************************************************************
#include "CKeyboardGUIAnalog1.h"

//******************************************************************************
//   Local Macros
//******************************************************************************

//******************************************************************************
//   Local Constants
//******************************************************************************

//******************************************************************************
//   Static Prototypes
//******************************************************************************

//******************************************************************************
//   Global Variables
//******************************************************************************

//******************************************************************************
//   Static Variables
//******************************************************************************

//******************************************************************************
//   Class Definition
//******************************************************************************

//******************************************************************************
//
//******************************************************************************
void CKeyboardGUIAnalog1::guiProcess()
{
	m_pspAnalogRepeat.process();
	u32 repeatButtons = m_pspPadRepeat.getRepeatButtons();
	u32 repeatDirections = m_pspAnalogRepeat.getRepeatDirections();
	
	if (repeatDirections & CPspAnalogRepeat::DIRECTION_UP)
	{
		selectUpNoWrap();
	}
	else if (repeatDirections & CPspAnalogRepeat::DIRECTION_DOWN)
	{
		selectDownNoWrap();
	}
	
	if (repeatDirections & CPspAnalogRepeat::DIRECTION_LEFT)
	{
		selectLeftNoWrap();
	}
	else if (repeatDirections & CPspAnalogRepeat::DIRECTION_RIGHT)
	{
		selectRightNoWrap();
	}
	
	if (repeatButtons & PSP_CTRL_CROSS)
	{
		select();
	}
	
	if (repeatButtons & PSP_CTRL_UP)
	{
		m_controlKey = CKeyboard::UP;
	}
	else if (repeatButtons & PSP_CTRL_DOWN)
	{
		m_controlKey = CKeyboard::DOWN;
	}
	else if (repeatButtons & PSP_CTRL_LEFT)
	{
		m_controlKey = CKeyboard::LEFT;
	}
	else if (repeatButtons & PSP_CTRL_RIGHT)
	{
		m_controlKey = CKeyboard::RIGHT;
	}
}

//******************************************************************************
//
//******************************************************************************
void CKeyboardGUIAnalog1::reset()
{
	CKeyboardGUI::reset();
	m_pspAnalogRepeat.reset();
}
